from django.utils.translation import gettext as _


RESULT_PAYMENT_STATUS = {
    4000: _("4000 Transaction successful"),
    4001: _("4001 Bank offline"),
    4002: _("4002 Online banking account invalid"),
    4500: _("4500 Unknown payment result"),
    4051: _("4051 Invalid bank account"),
    4101: _("4101 Issuing country invalid or unknown"),
    4102: _("4102 3D-Secure or MasterCard SecureCode authorization failed"),
    4103: _("4103 Validation date of card exceeded"),
    4104: _("4104 Invalid or unknown card type"),
    4105: _("4105 Limited-use card"),
    4106: _("4106 Invalid pseudo-cardnumber"),
    4107: _("4107 Card stolen, suspicious or marked to move in"),
    4108: _("4108 Telephone approval"),
    4151: _("4151 Invalid PayPal token"),
    4152: _("4152 Post-processing necessary at PayPal"),
    4153: _("4153 Change PayPal payment method"),
    4154: _("4154 PayPal-payment is not completed"),
    4501: _("4501 Timeout / no user input"),
    4502: _("4502 User aborted"),
    4503: _("4503 Duplicate transaction"),
    4504: _("4504 Uspicion of manipulation or payment method temporarily blocked"),
    4505: _("4505 Payment method blocked or rejected"),
    4506: _("4506 Invalid Blue Code barcode"),
    4900: _("4900 Transaction rejected"),
    0: _("0 OK"),
    5000: _("5000 Authentification failed"),
    5001: _("5001 No permission"),
    5002: _("5002 Hash invalid"),
    5003: _("5003 Required field missing"),
    5004: _("5004 Call invalid"),
    5009: _("5009 E-Mail invalid"),
    5010: _("5010 Language invalid"),
    5011: _("5011 Country invalid"),
    5012: _("5012 Branch invalid"),
    5013: _("5013 Shopsystem invalid"),
    5014: _("5014 Gender invalid"),
    5015: _("5015 Product invalid"),
    5016: _("5016 Organisation type invalid"),
    5017: _("5017 Merchant already exists"),
    5018: _("5018 PSP invalid"),
    5019: _("5019 Credit card type invalid"),
    5020: _("5020 merchantId invalid"),
    5021: _("5021 projectId invalid"),
    5022: _("5022 merchantTxId invalid"),
    5023: _("5023 purpose invalid"),
    5024: _("5024 bankcode invalid"),
    5025: _("5025 bankaccount invalid"),
    5026: _("5026 bic invalid"),
    5027: _("5027 iban invalid"),
    5028: _("5028 mobile invalid"),
    5029: _("5029 pkn invalid"),
    5030: _("5030 amount invalid"),
    5031: _("5031 Bank code or BIC missing"),
    5032: _("5032 mandateSequence invalid"),
    5033: _("5033 currency invalid"),
    5034: _("5034 Transaction missing"),
    5035: _("5035 Expiration date secured pre-order invalid"),
    5050: _("5050 recurring invalid"),
    5051: _("5051 mandateReference invalid"),
    5052: _("5052 mandateSignedOn invalid"),
    5053: _("5053 mandateReceiverName invalid"),
    5055: _("5055 urlRedirect invalid"),
    5056: _("5056 urlNotify invalid"),
    5060: _("5060 Amount or currency missing"),
    5061: _("5061 purposetext invalid"),
    5062: _("5062 paymentreference invalid"),
    5066: _("5066 purpose and paymentreference required"),
    5067: _("5067 receiveriban invalid"),
    5068: _("5068 receiverbic invalid"),
    5069: _("5069 purposecode invalid"),
    5070: _("5070 receivername invalid"),
    5071: _("5071 receivername, receiveriban or receiverbic not required"),
    5094: _("5094 Description invalid"),
    5095: _("5095 Paypage: invalid site type"),
    5096: _("5096 Paypage: invalid expiring date"),
    5097: _("5097 Paypage: invalid payment method"),
    5098: _("5098 Paypage: invalid organisation name"),
    5099: _("5099 Paypage: invalid value for free amount"),
    5100: _("5100 Error with the payment processor"),
    5101: _("5101 Connection problem with the payment provider"),
    5102: _("5102 Pseudo card number nicht vorhanden"),
    5104: _("5104 invalid Paypage-Timeout"),
    5105: _("5105 TDS20: invalide address"),
    5106: _("5106 TDS20: invalide postal code"),
    5107: _("5107 TDS20: invalide city"),
    5108: _("5108 TDS20: invalides country"),
    5109: _("5109 TDS20: invalide e-mail"),
    5110: _("5110 TDS20: Optional-field invalid"),
    5111: _("5111 TDS20: Fill out at least all fields except Optional"),
    5112: _("5112 TDS20: You must also specify the other fields, not just Optional"),
    5113: _("5113 Paypage: invalid format of the helptext (see API-description)"),
    5114: _("5114 Paypage:Reference has to be a Payment Page transaction"),
    5115: _("5115 Paypage:Invalid DeliveryType"),
    5116: _("5116 Paypage:Invalids Kassenzeichen"),
    5117: _("5117 Paypage:Invalid backUrl"),
    5118: _("5118 Paypage:Invalid failUrl"),
    5119: _("5119 Paypage:Invalid successUrl"),
    5120: _("5120 Paypage:Invalid notifyUrl"),
    5121: _("5121 Paypage: Invalid merchantOrderReferenceNumber"),
    5122: _("5122 Paypage: Invalid Wert für qrcodeReturn"),
    5200: _("5200 Transaction not accepted"),
    5201: _("5201 giropay Bank offline"),
    5202: _("5202 giropay Bank of sender Invalid"),
    5203: _("5203 Bank details of the sender on blacklist"),
    5204: _("5204 Bank details of the sender Invalid"),
    5205: _("5205 Transaction limit exceeded"),
    5500: _("5500 Paypage: Invalid value in fixed amounts"),
    5501: _("5501 Paypage: Invalid minimum value"),
    5502: _("5502 Paypage: Invalid maximum value"),
    5503: _("5503 Paypage: Invalid project list"),
    5504: _("5504 Paypage: Invalid Single-value"),
    5505: _("5505 Paypage single: already used"),
    6001: _("6001 Bank unknown"),
    6002: _("6002 Bank doesn't support Giropay"),
    7000: _("7000 Risk assessment positive"),
    7001: _("7001 Risk assessment negative"),
    9999: _("9999 internal error"),
    4020: _("4020 Age verification successful"),
    4021: _("4021 Age verification not possible"),
    4022: _("4022 Age verification unsuccessful"),
}
